package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 商品详描 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-20
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvProductDetailDao;
import com.heyu.api.data.entity.vv.VvProductDetailEntity;
import com.heyu.api.data.service.vv.VvProductDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvProductDetailServiceImpl extends ServiceImpl<VvProductDetailDao, VvProductDetailEntity> implements VvProductDetailService {


    @Autowired
	private VvProductDetailDao vvProductDetailDao;



	@Override
	public VvProductDetailEntity selectVvProductDetailById(Long id){
		return vvProductDetailDao.selectVvProductDetailById(id);
	}



	@Override
	public Long insertVvProductDetail(VvProductDetailEntity vvProductDetail){
		return vvProductDetailDao.insertVvProductDetail(vvProductDetail);
	}



	@Override
	public Long insertOrUpdateVvProductDetail(VvProductDetailEntity vvProductDetail){
		return vvProductDetailDao.insertOrUpdateVvProductDetail(vvProductDetail);
	}



	@Override
	public int updateVvProductDetailById(VvProductDetailEntity vvProductDetail){
		return vvProductDetailDao.updateVvProductDetailById(vvProductDetail);
	}



	@Override
	public int updateCoverVvProductDetailById(VvProductDetailEntity vvProductDetail){
		return vvProductDetailDao.updateCoverVvProductDetailById(vvProductDetail);
	}



	@Override
	public int deleteVvProductDetailById(Long id){
		return vvProductDetailDao.deleteVvProductDetailById(id);
	}



}
